For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTExport feature flags from an environment
      • POSTValidate feature import data
      • POSTImport feature flags

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIImport and export

Export feature flags from an environment

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/features-batch/export
POST
/api/admin/features-batch/export
$curl -X POST https://app.unleash-instance.example.com/api/admin/features-batch/export \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "environment": "development",
> "features": [
> "MyAwesomeFeature"
> ]
>}'
1{
2 "features": [
3 {
4 "name": "my-feature",
5 "type": "release",
6 "description": "best feature ever",
7 "archived": false,
8 "project": "default",
9 "stale": false,
10 "impressionData": false
11 }
12 ],
13 "featureStrategies": [
14 {
15 "name": "flexibleRollout",
16 "id": "924974d7-8003-43ee-87eb-c5f887c06fd1",
17 "title": "Rollout 50%",
18 "disabled": false,
19 "featureName": "my-feature",
20 "segments": [
21 1
22 ],
23 "constraints": [],
24 "parameters": {
25 "groupId": "default",
26 "rollout": "50",
27 "stickiness": "random"
28 }
29 }
30 ],
31 "tagTypes": [
32 {
33 "name": "simple",
34 "description": "Used to simplify filtering of features",
35 "icon": "#"
36 }
37 ],
38 "featureEnvironments": [
39 {
40 "name": "variant-testing",
41 "enabled": true,
42 "featureName": "my-feature",
43 "environment": "development",
44 "variants": [
45 {
46 "name": "a",
47 "weight": 500,
48 "weightType": "variable",
49 "stickiness": "random",
50 "overrides": []
51 },
52 {
53 "name": "b",
54 "weight": 500,
55 "weightType": "variable",
56 "stickiness": "random",
57 "overrides": []
58 }
59 ]
60 }
61 ],
62 "contextFields": [
63 {
64 "name": "appName",
65 "description": "Allows you to constrain on application name",
66 "stickiness": false,
67 "sortOrder": 2,
68 "legalValues": []
69 }
70 ],
71 "featureTags": [
72 {
73 "featureName": "my-feature",
74 "tagValue": "user-facing",
75 "tagType": "simple"
76 }
77 ],
78 "segments": [
79 {
80 "id": 1,
81 "name": "new-segment-name"
82 }
83 ],
84 "dependencies": [
85 {
86 "feature": "child_feature",
87 "dependencies": [
88 {
89 "feature": "parent_feature",
90 "enabled": false,
91 "variants": [
92 "variantA",
93 "variantB"
94 ]
95 }
96 ]
97 }
98 ],
99 "links": [
100 {
101 "feature": "child_feature",
102 "links": [
103 {
104 "url": "https://github.com/search?q=cleanupReminder&type=code",
105 "title": "Github cleanup"
106 }
107 ]
108 }
109 ]
110}
Exports all features listed in the `features` property from the environment specified in the request body. If set to `true`, the `downloadFile` property will let you download a file with the exported data. Otherwise, the export data is returned directly as JSON. Refer to the documentation for more information about [Unleash's export functionality](https://docs.getunleash.io/concepts/import-export#export-feature-flags).
Was this page helpful?
Previous

Validate feature import data

Next
Built with

Exports all features listed in the features property from the environment specified in the request body. If set to true, the downloadFile property will let you download a file with the exported data. Otherwise, the export data is returned directly as JSON. Refer to the documentation for more information about Unleash’s export functionality.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

exportQuerySchema
objectRequired
OR
objectRequired
OR
objectRequired

Response

exportResultSchema
featureslist of objects
All the exported features.
featureStrategieslist of objects

All strategy instances that are used by the exported features in the features list.

tagTypeslist of objects

A list of all of the tag types that are used in the featureTags list.

featureEnvironmentslist of objects

Environment-specific configuration for all the features in the features list. Includes data such as whether the feature is enabled in the selected export environment, whether there are any variants assigned, etc.

contextFieldslist of objects

A list of all the context fields that are in use by any of the strategies in the featureStrategies list.

featureTagslist of objects

A list of all the tags that have been applied to any of the features in the features list.

segmentslist of objects

A list of all the segments that are used by the strategies in the featureStrategies list.

dependencieslist of objects

A list of all the dependencies for features in features list.

linkslist of objects

A list of links for features in features list.

Errors

404
Not Found Error